/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2023 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2023 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2023 Toma
 *
 *	[ MIDIA_v^ (h!FMfMIDIJ[h?) ]
 */

#ifndef _midi_h_
#define _midi_h_

#ifdef MIDI

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL midi_init(void);
										/*  */
void FASTCALL midi_cleanup(void);
										/* N[Abv */
void FASTCALL midi_reset(void);
										/* Zbg */
BOOL FASTCALL midi_readb(WORD addr, BYTE *dat);
										/* ǂݏo */
BOOL FASTCALL midi_writeb(WORD addr, BYTE dat);
										/*  */
BOOL FASTCALL midi_save(int fileh);
										/* Z[u */
BOOL FASTCALL midi_load(int fileh, int ver);
										/* [h */

/*
 *	v[N
 */
extern BOOL midi_enable;
										/* MIDILtO */
extern BOOL midi_use;
										/* MIDIgptO */
extern BOOL midi_busy;
										/* MIDIobt@I[o[t[ */
#ifdef __cplusplus
}
#endif

#endif	/* MIDI */
#endif	/* _midi_h_ */
