/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2023 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2023 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2023 Toma
 *
 *	[ CeWFg}EX/FM}EX ]
 */

#ifndef _mouse_h_
#define _mouse_h_

#ifdef MOUSE

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
BOOL FASTCALL mos_init(void);
										/*  */
void FASTCALL mos_cleanup(void);
										/* N[Abv */
void FASTCALL mos_reset(void);
										/* Zbg */
void FASTCALL mos_strobe_signal(BOOL strb);
										/* Xg[uM */
BYTE FASTCALL mos_readdata(BYTE trigger);
										/* f[^ǂݍ */
BOOL FASTCALL mos_save(int fileh);
										/* Z[u */
BOOL FASTCALL mos_load(int fileh, int ver);
										/* [h */
BOOL FASTCALL mouse_readb(WORD addr, BYTE *dat);
										/* }EXZbg I/Oǂݏo */
BOOL FASTCALL mouse_writeb(WORD addr, BYTE dat);
										/* }EXZbg I/O */

/*
 *	v[N
 */
extern BYTE mos_port;
										/* }EXڑ|[g */
extern BOOL mos_capture;
										/* }EXLv`tO */
#ifdef __cplusplus
}
#endif

#endif	/* MOUSE */

#endif	/* _mouse_h_ */
