/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2023 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2023 Ryu Takegami (Twitter:@RyuTakegami)
 *	Copyright (C) 2010-2023 Toma
 *
 *	[ Win32API RtBM[V ]
 */

#ifdef _WIN32

#ifndef _w32_cfg_h_
#define _w32_cfg_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL LoadCfg(void);
										/* ݒ胍[h */
BOOL FASTCALL LoadCfg_ScalingSize(void);
										/* ݒ胍[h(n{gp) */
#ifdef RES_DLL
BOOL FASTCALL LoadCfg_LanguageMode(void);
										/* ݒ胍[h(ꃂ[hp) */
void FASTCALL LoadCfg_ResourceDll(char *path);
										/* ݒ胍[h(\[XDLL) */
#endif
#if XM7_VER >= 3
BOOL FASTCALL LoadCfg_Gravestone(void);
										/* ݒ胍[h(!?) */
BYTE FASTCALL LoadCfg_ModelType(void);
										/* ݒ胍[h(f^Cv) */
#endif
void FASTCALL SaveCfg(void);
										/* ݒZ[u */
void FASTCALL ApplyCfg(void);
										/* ݒKp */
void FASTCALL StoreCfg(void);
										/* ݒޔ */
#if XM7_VER == 1 && defined(BUBBLE)
void FASTCALL StoreCfgBMC(void);
										/* ݒޔ(ouW[) */
#endif	/* XM7_VER == 1 && defined(BUBBLE) */
void FASTCALL OnConfig(HWND hWnd);
										/* ݒ_CAO */
void FASTCALL RestoreBootMode(void);
										/* u[g[h𕜌 */
void FASTCALL RestoreFrameWnd(void);
										/* EBhEԂ𕜌 */
BOOL FASTCALL RestoreFullScreen(void);
										/* tXN[Ԃ𕜌 */
void FASTCALL RestoreMediaState(void);
										/* fBAEXe[g𕜌 */
void FASTCALL SetMRUFile(int type, char *string);
										/* MRUZbg */
void FASTCALL SetMRUMedia(int type, int media);
										/* MediaZbg */
void FASTCALL GetMRUFile(int type, int index, char *string, size_t nlen);
										/* MRU擾 */
int FASTCALL GetMRUMedia(int type, int index);
										/* Media擾 */
void FASTCALL DelMRUFile(int type, int index);
										/* MRU폜 */
int FASTCALL GetMRUNum(int type);
										/* MRU擾 */
void FASTCALL SetAllMRUState(void);
										/* SMRUZbg */
void FASTCALL GetXDLFile(int type, int index, char *string, size_t nlen);
										/* XDL擾 */
int FASTCALL GetXDLNum(int type);
										/* XDL擾 */
void FASTCALL SetXDLSel(int type, int num);
										/* XDLԍݒ */
int FASTCALL GetXDLSel(int type);
										/* XDLԍ擾 */

/*
 *	v[N
 */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_cfg_h_ */
#endif	/* _WIN32 */
